LWP::Protocol::ldapi(3)

NAME
LWP::Protocol::ldapi - Provide LDAPI support for LWP::UserAgent

SYNOPSIS
  use LWP::UserAgent;
  use MIME::Base64;

  $ua = LWP::UserAgent->new();
  $res = $ua->get('ldapi:///' .
                  'o=University%20of%20Michigan,c=US??sub?(cn=Babs%20Jensen)',
                  Authorization => 'Basic '.encode_Base64('cn=John Doe:secret')):

DESCRIPTION
The LWP::Protocol::ldapi module provides support for using ldapi schemed URLs with LWP. This module is a plug-in to the LWP protocol handling, so you don't use it directly.

SEE ALSO
LWP::Protocol::ldap, LWP::Protocol::ldaps

COPYRIGHT
Copyright (c) 2012 Peter Marschall. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.